---- Belongs ----
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Belongs]') and xtype in (N'FN', N'IF', N'TF'))
drop function [dbo].[Belongs]
GO
create function Belongs(@SupportID integer, @Line1ID integer, @Line2ID integer)
returns bit
as
begin
  declare @res bit
  declare @Owner1ID integer, @Owner2ID integer, @Owner1Type integer, @Owner2Type integer
  select @Owner1ID = Код_объекта, @Owner1Type = Код_типа_объекта from Опора, Объект
    where Код_линии_1 = Код_объекта AND Код_опоры = @SupportID
  if @Owner1Type = 30 select @Owner1ID = Код_объекта_владельца from Объект where Код_объекта = @Owner1ID
  select @Owner2ID = Код_объекта, @Owner2Type = Код_типа_объекта from Опора, Объект
    where Код_линии_2 = Код_объекта AND Код_опоры = @SupportID
  if @Owner2Type = 30 select @Owner2ID = Код_объекта_владельца from Объект where Код_объекта = @Owner2ID
  if (@Line1ID = @Owner1ID AND @Line2ID = @Owner2ID) OR
     (@Line2ID = @Owner1ID AND @Line1ID = @Owner2ID) set @res = 1 else set @res = 0
  return @res
end
